# Gimp.Drawable.edit_fill

    @accepts(Gimp.Drawable, Gimp.FillType)
    @returns(bool)
    def edit_fill(self, fill_type):
        # Python wrapper for gimp_drawable_edit_fill()

Fill selected area of drawable.

This procedure fills the specified drawable according to fill mode. This procedure only affects regions within a selection if there is a selection active. If you want to fill the whole drawable, regardless of the selection, use Gimp.Drawable.fill.

This procedure is affected by the following context setters: Gimp.context_set_opacity, Gimp.context_set_paint_mode, Gimp.context_set_foreground, Gimp.context_set_background, Gimp.context_set_pattern.

self

  The drawable to fill to.

fill_type

  The type of fill.

Returns